<?php

namespace Drupal\straker_translate\Moderation;

/**
 * Moderation configuration service when no other integration applies.
 *
 * @package Drupal\straker_translate\Moderation
 */
class StrakerTranslateNoModerationConfigurationService implements StrakerTranslateModerationConfigurationServiceInterface {

  use StrakerTranslateNoModerationCheckTrait;

  /**
   * {@inheritdoc}
   */
  public function getUploadStatus($entity_type_id, $bundle): ?string {
    return NULL;
  }

  /**
   * {@inheritdoc}
   */
  public function getDownloadTransition($entity_type_id, $bundle): ?string {
    return NULL;
  }

  /**
   * {@inheritdoc}
   */
  public function setUploadStatus($entity_type_id, $bundle, $status): ?string {
    return NULL;
  }

  /**
   * {@inheritdoc}
   */
  public function setDownloadTransition($entity_type_id, $bundle, $transition): ?string {
    return NULL;
  }

}
